## libkf5mailcommon 17.12.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)
set(PIM_VERSION "5.7.3")

project(mailcommon VERSION ${PIM_VERSION})

set(KF5_VERSION "5.39.0")

find_package(ECM ${KF5_VERSION} CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${mailcommon_SOURCE_DIR}/cmake/modules/ ${ECM_MODULE_PATH})
if (POLICY CMP0053)
    cmake_policy(SET CMP0053 NEW)
endif()
set(LIBRARY_NAMELINK)
include(GenerateExportHeader)
include(ECMGenerateHeaders)
include(ECMGeneratePriFile)
include(CMakePackageConfigHelpers)
include(ECMSetupVersion)
include(FeatureSummary)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(ECMQtDeclareLoggingCategory)
include(ECMAddTests)
include(ECMCoverageOption)

set(MAILCOMMON_LIB_VERSION ${PIM_VERSION})
set(AKONADIMIME_LIB_VERSION "5.7.3")
set(MESSAGELIB_LIB_VERSION "5.7.3")
set(QT_REQUIRED_VERSION "5.8.0")
set(KMIME_LIB_VERSION "5.7.3")
set(KMAILTRANSPORT_LIB_VERSION "5.7.3")
set(MAILIMPORTER_LIB_VERSION "5.7.3")
set(LIBKDEPIM_LIB_VERSION "5.7.3")
set(PIMCOMMON_LIB_VERSION "5.7.3")

set(AKONADI_VERSION "5.7.3")

find_package(Qt5 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Widgets DBus Test Xml)

find_package(KF5Archive ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5Codecs ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5Completion ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5Config ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5ConfigWidgets ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5I18n ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5IconThemes ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5ItemModels ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5ItemViews ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5KIO ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5TextWidgets ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5WidgetsAddons ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5WindowSystem ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5XmlGui ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5DBusAddons ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5SyntaxHighlighting ${KF5_VERSION} CONFIG REQUIRED)

find_package(KF5Akonadi ${AKONADI_VERSION} CONFIG REQUIRED)
find_package(KF5AkonadiMime ${AKONADIMIME_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5LibkdepimAkonadi ${LIBKDEPIM_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5MailImporter ${MAILIMPORTER_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5MailTransport ${KMAILTRANSPORT_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5MessageComposer ${MESSAGELIB_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5MessageCore ${MESSAGELIB_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5MessageViewer ${MESSAGELIB_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5Mime ${KMIME_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5PimCommonAkonadi ${PIMCOMMON_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5TemplateParser ${MESSAGELIB_LIB_VERSION} CONFIG REQUIRED)
find_package(Phonon4Qt5 CONFIG REQUIRED)
find_package(KF5DesignerPlugin ${KF5_VERSION} CONFIG)
set_package_properties(KF5DesignerPlugin PROPERTIES DESCRIPTION "KF5 designer plugin" TYPE OPTIONAL)

ecm_setup_version(PROJECT VARIABLE_PREFIX MAILCOMMON
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/mailcommon_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5MailCommonConfigVersion.cmake"
                        SOVERSION 5
)

find_package(Xsltproc)
set_package_properties(Xsltproc PROPERTIES DESCRIPTION "XSLT processor from libxslt" TYPE REQUIRED PURPOSE "Required to generate D-Bus interfaces for all Akonadi resources.")

########### Targets ###########

#add_definitions("-DQT_NO_CAST_FROM_ASCII -DQT_NO_CAST_TO_ASCII")
add_definitions(-DQT_NO_NARROWING_CONVERSIONS_IN_CONNECT)
add_definitions("-DQT_NO_CAST_TO_ASCII")
remove_definitions( -DQT_NO_CAST_FROM_ASCII )
#add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x060000)
add_definitions(-DQT_NO_URL_CAST_FROM_STRING)

########### CMake Config Files ###########
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5MailCommon")

configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/KF5MailCommonConfig.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5MailCommonConfig.cmake"
  INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/KF5MailCommonConfig.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5MailCommonConfigVersion.cmake"
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  COMPONENT Devel
)

install(EXPORT KF5MailCommonTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KF5MailCommonTargets.cmake NAMESPACE KF5::)

install(FILES
   ${CMAKE_CURRENT_BINARY_DIR}/mailcommon_version.h
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5} COMPONENT Devel
)

add_subdirectory(src)
if(BUILD_TESTING)
    add_subdirectory(autotests)
endif()
install( FILES mailcommon.renamecategories mailcommon.categories DESTINATION ${KDE_INSTALL_CONFDIR} )
feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
ki18n_install(po)

=== autotests/CMakeLists.txt ===
set(EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR})
set(KDEPIMLIBS_RUN_ISOLATED_TESTS TRUE)
set(KDEPIMLIBS_RUN_SQLITE_ISOLATED_TESTS TRUE)

add_akonadi_isolated_test(foldertreewidgettest.cpp)
target_link_libraries(foldertreewidgettest KF5::Mime KF5::AkonadiWidgets KF5::MailCommon)

=== src/mdn/autotests/CMakeLists.txt ===
ecm_add_test(mdnstateattributetest.cpp ../mdnstateattribute.cpp
    TEST_NAME mdnattributetest
    NAME_PREFIX "mailcommon-mdn-"
    LINK_LIBRARIES Qt5::Test Qt5::Gui KF5::AkonadiCore KF5::MailCommon
)

## libkf5mailcommon 16.04.2

=== debian/changelog ===
libkf5mailcommon (4:16.04.2-2) unstable; urgency=low

  * Release to unstable.

 -- Maximiliano Curia <maxy@debian.org>  Thu, 07 Jul 2016 10:21:36 +0200

libkf5mailcommon (4:16.04.2-1) experimental; urgency=medium

  [ Automatic packaging ]
  * Refresh patches
  * Update symbols files with the buildds results
  * Update symbols files.

 -- Maximiliano Curia <maxy@debian.org>  Sat, 02 Jul 2016 10:42:59 +0200

libkf5mailcommon (4:16.04.1-1) experimental; urgency=medium

  * Initial release.
  * Add missing breaks/replaces
  * Add new upstream patch: upstream_add_copying_files.patch

 -- Maximiliano Curia <maxy@debian.org>  Mon, 06 Jun 2016 23:18:25 +0200

=== debian/control ===
Source: libkf5mailcommon
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.19.0~),
               libkf5akonadi-dev (>= 4:5.2.0~),
               libkf5akonadimime-dev (>= 5.2.0~),
               libkf5archive-dev (>= 5.19.0~),
               libkf5codecs-dev (>= 5.19.0~),
               libkf5i18n-dev (>= 5.19.0~),
               libkf5iconthemes-dev (>= 5.19.0~),
               libkf5itemviews-dev (>= 5.19.0~),
               libkf5ldap-dev (>= 5.2.0~),
               libkf5libkdepim-dev (>= 5.2.0~),
               libkf5mailimporter-dev (>= 5.2.0~),
               libkf5mailtransport-dev (>= 5.2.0~),
               libkf5messagecomposer-dev (>= 5.2.0~),
               libkf5messagecore-dev (>= 5.2.0~),
               libkf5messageviewer-dev (>= 5.2.0~),
               libkf5mime-dev (>= 5.2.0~),
               libkf5pimcommon-dev (>= 5.2.0~),
               libkf5templateparser-dev (>= 4:5.2.0~),
               libkf5windowsystem-dev (>= 5.19.0~),
               libkf5xmlgui-dev (>= 5.19.0~),
               libphonon4qt5-dev,
               libphonon4qt5experimental-dev,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.4.0~),
               qttools5-dev (>= 5.4.0~),
               xsltproc
Standards-Version: 3.9.8
Homepage: http://pim.kde.org/
Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/mailcommon.git
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/mailcommon.git

Package: libkf5mailcommon5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: KDE PIM email utility library
 The mail common library provides utility functions for dealing with email.
 .
 This package is part of KDE PIM module.

Package: libkf5mailcommon-plugins
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libkf5libkdepim5 (<< 4:16.04)
Replaces: libkf5libkdepim5 (<< 4:16.04)
Description: KDE PIM email utility library, plugins
 The mail common library provides utility functions for dealing with email.
 .
 This package contains the plugins distributed with the library.
 .
 This package is part of KDE PIM module.

Package: libkf5mailcommon-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5akonadi-dev (>= 4:5.2.0~),
         libkf5akonadimime-dev (>= 5.2.0~),
         libkf5config-dev,
         libkf5libkdepim-dev (>= 5.2.0~),
         libkf5mailcommon5 (= ${binary:Version}),
         libkf5messagecore-dev (>= 5.2.0~),
         libkf5messageviewer-dev (>= 5.2.0~),
         libkf5pimcommon-dev (>= 5.2.0~),
         qtbase5-dev (>= 5.4.0~),
         ${misc:Depends},
         ${shlibs:Depends}
Description: KDE PIM email utility library, devel files
 The mail common library provides utility functions for dealing with email.
 .
 This package contains the development files needed for the KDE PIM mail common
 library.
 .
 This package is part of KDE PIM module.

## libkf5mailcommon 16.04.3

=== debian/changelog ===
libkf5mailcommon (4:16.04.3-0ubuntu1) yakkety; urgency=medium

  [ Maximiliano Curia ]
  ** SNAPSHOT build @cbaf86e9e443a3ef0469738b91e61ba59e7c0789 **

  * Initial release.

  [ Clive Johnston ]
  * New upstream release, bugfix 16.04.1
  * Sync with Debian for initial packaging
  * Update VCS fields to point to Launchpad git repo
  * New upstream release (16.04.2)
  * New upstream release (16.04.3)
  * Refreshing symbols

  [ Rik Mills ]
  * Fix spelling error reported by lintian

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 30 Sep 2016 06:32:07 +0200

=== debian/control ===
Source: libkf5mailcommon
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.24.0~),
               libkf5akonadi-dev (>= 4:16.04.3~),
               libkf5akonadimime-dev (>= 4:16.04.3~),
               libkf5archive-dev (>= 5.24.0~),
               libkf5codecs-dev (>= 5.24.0~),
               libkf5i18n-dev (>= 5.24.0~),
               libkf5iconthemes-dev (>= 5.24.0~),
               libkf5itemviews-dev (>= 5.24.0~),
               libkf5ldap-dev (>= 16.04.3~),
               libkf5libkdepim-dev (>= 4:16.04.3~),
               libkf5mailimporter-dev (>= 4:16.04.3~),
               libkf5mailtransport-dev (>= 16.04.3~),
               libkf5messagecomposer-dev (>= 4:16.04.3~),
               libkf5messagecore-dev (>= 4:16.04.3~),
               libkf5messageviewer-dev (>= 4:16.04.3~),
               libkf5mime-dev (>= 16.04.3~),
               libkf5pimcommon-dev (>= 4:16.04.3~),
               libkf5templateparser-dev (>= 4:16.04.3~),
               libkf5windowsystem-dev (>= 5.24.0~),
               libkf5xmlgui-dev (>= 5.24.0~),
               libphonon4qt5-dev,
               libphonon4qt5experimental-dev,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.6.1~),
               qttools5-dev (>= 5.6.1~),
               xsltproc
Standards-Version: 3.9.8
Homepage: http://pim.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/mailcommon
Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/mailcommon

Package: libkf5mailcommon5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: KDE PIM email utility library
 The mail common library provides utility functions for dealing with email.
 .
 This package is part of KDE PIM module.

Package: libkf5mailcommon-plugins
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: KDE PIM email utility library, plugins
 The mail common library provides utility functions for dealing with email.
 .
 This package contains the plugins distributed with the library.
 .
 This package is part of KDE PIM module.

Package: libkf5mailcommon-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5akonadi-dev (>= 4:16.04.3~),
         libkf5akonadimime-dev (>= 4:16.04.3~),
         libkf5config-dev,
         libkf5libkdepim-dev (>= 4:16.04.3~),
         libkf5mailcommon5 (= ${binary:Version}),
         libkf5messagecore-dev (>= 4:16.04.3~),
         libkf5messageviewer-dev (>= 4:16.04.3~),
         libkf5pimcommon-dev (>= 4:16.04.3~),
         qtbase5-dev (>= 5.4.0~),
         ${misc:Depends},
         ${shlibs:Depends}
Description: KDE PIM email utility library, devel files
 The mail common library provides utility functions for dealing with email.
 .
 This package contains the development files needed for the KDE PIM mail common
 library.
 .
 This package is part of KDE PIM module.

## libkf5mailcommon 17.04.3

=== debian/changelog ===
libkf5mailcommon (4:17.04.3-0ubuntu1) artful; urgency=medium

  [ Rik Mills ]
  * Bump soname with debianabimanager due to binary incompatible changes
    libkf5mailcommon5abi1 -> libkf5mailcommon5abi2
  * Update symbols from build logs for GCC7

  [ José Manuel Santamaría Lema ]
  * New upstream release (17.04.1)
  * Install translations and add Breaks/Replaces against kde-l10n
  * Don't install metatype.h to fix acc test
  * New upstream release (17.04.2)
  * New upstream release (17.04.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 21 Aug 2017 14:34:35 +0100

libkf5mailcommon (4:16.12.3-0ubuntu1) artful; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update Vcs-Git fields to use https:// instead of git://
  * Pass '-fno-keep-inline-functions' to gcc in the acc test in order to
    avoid possible spurious test failures.
  * Handle ABI break: libkf5mailcommon5 -> libkf5mailcommon5abi1
  * Add libkf5mimetreeparser-dev to -dev depends, fixing the acc headers
    check.
  * Create a temp HOME directory when running the testsuite.
  * Add kubuntu_disable_failing_tests.diff
  * New upstream release (16.12.3)

  [ Rik Mills ]
  * New libqgpgme build dep
  * New upstream release (16.12.0)
  * New upstream release (16.12.1)

  [ Darin Miller ]
  * New upstream release (16.12.2)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 01 May 2017 20:29:30 +0100

=== debian/control ===
Source: libkf5mailcommon
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               libgpgme-dev,
               libgpgmepp-dev (>= 1.7.1~),
               libkf5akonadi-dev (>= 4:17.04.3~),
               libkf5akonadimime-dev (>= 4:17.04.3~),
               libkf5archive-dev (>= 5.31.0~),
               libkf5codecs-dev (>= 5.31.0~),
               libkf5i18n-dev (>= 5.31.0~),
               libkf5iconthemes-dev (>= 5.31.0~),
               libkf5itemviews-dev (>= 5.31.0~),
               libkf5ldap-dev (>= 17.04.3~),
               libkf5libkdepim-dev (>= 4:17.04.3~),
               libkf5mailimporter-dev (>= 4:17.04.3~),
               libkf5mailtransport-dev (>= 17.04.3~),
               libkf5messagecomposer-dev (>= 4:17.04.3~),
               libkf5messagecore-dev (>= 4:17.04.3~),
               libkf5messageviewer-dev (>= 4:17.04.3~),
               libkf5mime-dev (>= 17.04.3~),
               libkf5mimetreeparser-dev (>= 4:17.04.3~),
               libkf5pimcommon-dev (>= 4:17.04.3~),
               libkf5templateparser-dev (>= 4:17.04.3~),
               libkf5windowsystem-dev (>= 5.31.0~),
               libkf5xmlgui-dev (>= 5.31.0~),
               libphonon4qt5-dev,
               libphonon4qt5experimental-dev,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.6.1~),
               qttools5-dev (>= 5.6.1~),
               xsltproc
Standards-Version: 3.9.8
Homepage: http://pim.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/mailcommon
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/mailcommon

Package: libkf5mailcommon5abi2
X-Debian-ABI: 2
X-CMake-Target: KF5MailCommon
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: KDE PIM email utility library
 The mail common library provides utility functions for dealing with email.
 .
 This package is part of KDE PIM module.

Package: libkf5mailcommon-plugins
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: KDE PIM email utility library, plugins
 The mail common library provides utility functions for dealing with email.
 .
 This package contains the plugins distributed with the library.
 .
 This package is part of KDE PIM module.

Package: libkf5mailcommon-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5akonadi-dev (>= 4:17.04.3~),
         libkf5akonadimime-dev (>= 4:17.04.3~),
         libkf5config-dev (>= 5.31.0~),
         libkf5libkdepim-dev (>= 4:17.04.3~),
         libkf5mailcommon5abi2 (= ${binary:Version}),
         libkf5messagecore-dev (>= 4:17.04.3~),
         libkf5messageviewer-dev (>= 4:17.04.3~),
         libkf5mimetreeparser-dev (>= 4:17.04.3~),
         libkf5pimcommon-dev (>= 4:17.04.3~),
         qtbase5-dev (>= 5.6.1~),
         ${misc:Depends},
         ${shlibs:Depends}
Description: KDE PIM email utility library, devel files
 The mail common library provides utility functions for dealing with email.
 .
 This package contains the development files needed for the KDE PIM mail common
 library.
 .
 This package is part of KDE PIM module.

## libkf5mailcommon 17.12.3

=== debian/changelog ===
libkf5mailcommon (4:17.12.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.12.3)
  * Update symbols from build logs

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 16 Mar 2018 13:33:23 +0000

libkf5mailcommon (4:17.12.2-0ubuntu2) bionic; urgency=medium

  * Update kubuntu_disable_failing_tests.diff with another flakey test

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 02 Mar 2018 17:50:39 +0000

libkf5mailcommon (4:17.12.2-0ubuntu1) bionic; urgency=medium

  [ Rik Mills ]
  * New build depend on libkf5syntaxhighlighting-dev
  * Refresh patches
  * New upstream release (17.11.80)
  * New upstream release (17.11.90)
  * New upstream release (17.12.0)
  * New upstream release (17.12.2)

  [ Simon Quigley ]
  * Update symbols from build logs.
  * Bump soname with the Debian ABI Manager due to binary incompatible
    changes:
    libkf5mailcommon5abi3 -> libkf5mailcommon5abi4

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 28 Feb 2018 09:45:53 +0000

libkf5mailcommon (4:17.08.3-0ubuntu1) bionic; urgency=medium

  * Bump soname with debianabimanager due to binary incompatible changes
    libkf5mailcommon5abi2 -> libkf5mailcommon5abi3
  * Update symbols from build logs
  * New build depend on libkf5contacteditor-dev
  * New upstream release (17.08.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 01 Dec 2017 15:12:56 +0000

=== debian/control ===
--- 
+++ 
@@ -8,24 +8,26 @@
                extra-cmake-modules (>= 5.31.0~),
                libgpgme-dev,
                libgpgmepp-dev (>= 1.7.1~),
-               libkf5akonadi-dev (>= 4:17.04.3~),
-               libkf5akonadimime-dev (>= 4:17.04.3~),
+               libkf5akonadi-dev (>= 4:17.12.3~),
+               libkf5akonadimime-dev (>= 4:17.12.3~),
                libkf5archive-dev (>= 5.31.0~),
                libkf5codecs-dev (>= 5.31.0~),
+               libkf5contacteditor-dev (>= 4:17.12.3~),
                libkf5i18n-dev (>= 5.31.0~),
                libkf5iconthemes-dev (>= 5.31.0~),
                libkf5itemviews-dev (>= 5.31.0~),
-               libkf5ldap-dev (>= 17.04.3~),
-               libkf5libkdepim-dev (>= 4:17.04.3~),
-               libkf5mailimporter-dev (>= 4:17.04.3~),
-               libkf5mailtransport-dev (>= 17.04.3~),
-               libkf5messagecomposer-dev (>= 4:17.04.3~),
-               libkf5messagecore-dev (>= 4:17.04.3~),
-               libkf5messageviewer-dev (>= 4:17.04.3~),
-               libkf5mime-dev (>= 17.04.3~),
-               libkf5mimetreeparser-dev (>= 4:17.04.3~),
-               libkf5pimcommon-dev (>= 4:17.04.3~),
-               libkf5templateparser-dev (>= 4:17.04.3~),
+               libkf5ldap-dev (>= 17.12.3~),
+               libkf5libkdepim-dev (>= 4:17.12.3~),
+               libkf5mailimporter-dev (>= 4:17.12.3~),
+               libkf5mailtransport-dev (>= 17.12.3~),
+               libkf5messagecomposer-dev (>= 4:17.12.3~),
+               libkf5messagecore-dev (>= 4:17.12.3~),
+               libkf5messageviewer-dev (>= 4:17.12.3~),
+               libkf5mime-dev (>= 17.12.3~),
+               libkf5mimetreeparser-dev (>= 4:17.12.3~),
+               libkf5pimcommon-dev (>= 4:17.12.3~),
+               libkf5syntaxhighlighting-dev (>= 5.31.0~),
+               libkf5templateparser-dev (>= 4:17.12.3~),
                libkf5windowsystem-dev (>= 5.31.0~),
                libkf5xmlgui-dev (>= 5.31.0~),
                libphonon4qt5-dev,
@@ -39,8 +41,8 @@
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/mailcommon
 Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/mailcommon
 
-Package: libkf5mailcommon5abi2
-X-Debian-ABI: 2
+Package: libkf5mailcommon5abi4
+X-Debian-ABI: 4
 X-CMake-Target: KF5MailCommon
 Architecture: any
 Multi-Arch: same
@@ -67,15 +69,15 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf5akonadi-dev (>= 4:17.04.3~),
-         libkf5akonadimime-dev (>= 4:17.04.3~),
+Depends: libkf5akonadi-dev (>= 4:17.12.3~),
+         libkf5akonadimime-dev (>= 4:17.12.3~),
          libkf5config-dev (>= 5.31.0~),
-         libkf5libkdepim-dev (>= 4:17.04.3~),
-         libkf5mailcommon5abi2 (= ${binary:Version}),
-         libkf5messagecore-dev (>= 4:17.04.3~),
-         libkf5messageviewer-dev (>= 4:17.04.3~),
-         libkf5mimetreeparser-dev (>= 4:17.04.3~),
-         libkf5pimcommon-dev (>= 4:17.04.3~),
+         libkf5libkdepim-dev (>= 4:17.12.3~),
+         libkf5mailcommon5abi4 (= ${binary:Version}),
+         libkf5messagecore-dev (>= 4:17.12.3~),
+         libkf5messageviewer-dev (>= 4:17.12.3~),
+         libkf5mimetreeparser-dev (>= 4:17.12.3~),
+         libkf5pimcommon-dev (>= 4:17.12.3~),
          qtbase5-dev (>= 5.6.1~),
          ${misc:Depends},
          ${shlibs:Depends}

=== debian/rules ===
#!/usr/bin/make -f

l10npkgs_firstversion_ok := 4:17.03.90-0~

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

#Fixes the acc test
override_dh_auto_install:
	$(overridden_command)
	rm $(CURDIR)/debian/tmp/usr/include/KF5/MailCommon/MetaType
	rm $(CURDIR)/debian/tmp/usr/include/KF5/mailcommon/metatype.h

override_dh_auto_test:
	# Disable dh_auto_test at build time
	:

=== debian/tests/control ===
Tests: testsuite
Depends: @, @builddeps@, build-essential,
         xvfb, xauth, dbus-x11, libkf5akonadi-dev-bin, akonadi-server,
         akonadi-backend-sqlite, libkf5akonadisearch-bin
Restrictions: build-needed

Tests: acc
Depends: @,
         dh-acc, exuberant-ctags
Restrictions: allow-stderr

## libkf5mailcommon 18.04.3

=== debian/changelog ===
libkf5mailcommon (4:18.04.3-0ubuntu2) cosmic; urgency=medium

  * Skip autotests for now. Upstream release tars and CI tests are
    consistently broken, so running them here has little or no worth
    unless that changes.

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 25 Aug 2018 17:16:18 +0100

libkf5mailcommon (4:18.04.3-0ubuntu1) cosmic; urgency=medium

  * New upstream release (18.03.80)
  * New upstream release (18.04.0)
  * New upstream release (18.04.1)
  * Update symbols from build logs
  * New upstream release (18.04.3)
  * Update symbols from build logs

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 21 Aug 2018 18:54:57 +0100

libkf5mailcommon (4:17.12.3-0ubuntu3) cosmic; urgency=medium

  * Add -dev package dependeny on libkf5messagecomposer-dev to match
    with debian

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 02 Jun 2018 09:05:01 +0100

libkf5mailcommon (4:17.12.3-0ubuntu2) cosmic; urgency=medium

  * Skip tests on architectures we do not support

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 18 May 2018 18:28:17 +0100

=== debian/control ===
--- 
+++ 
@@ -8,26 +8,26 @@
                extra-cmake-modules (>= 5.31.0~),
                libgpgme-dev,
                libgpgmepp-dev (>= 1.7.1~),
-               libkf5akonadi-dev (>= 4:17.12.3~),
-               libkf5akonadimime-dev (>= 4:17.12.3~),
+               libkf5akonadi-dev (>= 4:18.04.3~),
+               libkf5akonadimime-dev (>= 4:18.04.3~),
                libkf5archive-dev (>= 5.31.0~),
                libkf5codecs-dev (>= 5.31.0~),
-               libkf5contacteditor-dev (>= 4:17.12.3~),
+               libkf5contacteditor-dev (>= 4:18.04.3~),
                libkf5i18n-dev (>= 5.31.0~),
                libkf5iconthemes-dev (>= 5.31.0~),
                libkf5itemviews-dev (>= 5.31.0~),
-               libkf5ldap-dev (>= 17.12.3~),
-               libkf5libkdepim-dev (>= 4:17.12.3~),
-               libkf5mailimporter-dev (>= 4:17.12.3~),
-               libkf5mailtransport-dev (>= 17.12.3~),
-               libkf5messagecomposer-dev (>= 4:17.12.3~),
-               libkf5messagecore-dev (>= 4:17.12.3~),
-               libkf5messageviewer-dev (>= 4:17.12.3~),
-               libkf5mime-dev (>= 17.12.3~),
-               libkf5mimetreeparser-dev (>= 4:17.12.3~),
-               libkf5pimcommon-dev (>= 4:17.12.3~),
+               libkf5ldap-dev (>= 18.04.3~),
+               libkf5libkdepim-dev (>= 4:18.04.3~),
+               libkf5mailimporter-dev (>= 4:18.04.3~),
+               libkf5mailtransport-dev (>= 18.04.3~),
+               libkf5messagecomposer-dev (>= 4:18.04.3~),
+               libkf5messagecore-dev (>= 4:18.04.3~),
+               libkf5messageviewer-dev (>= 4:18.04.3~),
+               libkf5mime-dev (>= 18.04.3~),
+               libkf5mimetreeparser-dev (>= 4:18.04.3~),
+               libkf5pimcommon-dev (>= 4:18.04.3~),
                libkf5syntaxhighlighting-dev (>= 5.31.0~),
-               libkf5templateparser-dev (>= 4:17.12.3~),
+               libkf5templateparser-dev (>= 4:18.04.3~),
                libkf5windowsystem-dev (>= 5.31.0~),
                libkf5xmlgui-dev (>= 5.31.0~),
                libphonon4qt5-dev,
@@ -35,7 +35,7 @@
                pkg-kde-tools (>= 0.12),
                qtbase5-dev (>= 5.6.1~),
                qttools5-dev (>= 5.6.1~),
-               xsltproc
+               xsltproc,
 Standards-Version: 3.9.8
 Homepage: http://pim.kde.org/
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/mailcommon
@@ -69,18 +69,19 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf5akonadi-dev (>= 4:17.12.3~),
-         libkf5akonadimime-dev (>= 4:17.12.3~),
+Depends: libkf5akonadi-dev (>= 4:18.04.3~),
+         libkf5akonadimime-dev (>= 4:18.04.3~),
          libkf5config-dev (>= 5.31.0~),
-         libkf5libkdepim-dev (>= 4:17.12.3~),
+         libkf5libkdepim-dev (>= 4:18.04.3~),
          libkf5mailcommon5abi4 (= ${binary:Version}),
-         libkf5messagecore-dev (>= 4:17.12.3~),
-         libkf5messageviewer-dev (>= 4:17.12.3~),
-         libkf5mimetreeparser-dev (>= 4:17.12.3~),
-         libkf5pimcommon-dev (>= 4:17.12.3~),
+         libkf5messagecomposer-dev (>= 4:18.04.3~),
+         libkf5messagecore-dev (>= 4:18.04.3~),
+         libkf5messageviewer-dev (>= 4:18.04.3~),
+         libkf5mimetreeparser-dev (>= 4:18.04.3~),
+         libkf5pimcommon-dev (>= 4:18.04.3~),
          qtbase5-dev (>= 5.6.1~),
          ${misc:Depends},
-         ${shlibs:Depends}
+         ${shlibs:Depends},
 Description: KDE PIM email utility library, devel files
  The mail common library provides utility functions for dealing with email.
  .

=== debian/tests/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Depends: @, @builddeps@, build-essential,
          xvfb, xauth, dbus-x11, libkf5akonadi-dev-bin, akonadi-server,
          akonadi-backend-sqlite, libkf5akonadisearch-bin
-Restrictions: build-needed
+#Restrictions: build-needed
 
 Tests: acc
 Depends: @,

## libkf5mailcommon 18.08.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
 cmake_minimum_required(VERSION 3.0)
-set(PIM_VERSION "5.7.3")
+set(PIM_VERSION "5.9.3")
 
 project(mailcommon VERSION ${PIM_VERSION})
 
-set(KF5_VERSION "5.39.0")
+set(KF5_VERSION "5.47.0")
 
 find_package(ECM ${KF5_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH ${mailcommon_SOURCE_DIR}/cmake/modules/ ${ECM_MODULE_PATH})
@@ -24,17 +24,18 @@
 include(ECMAddTests)
 include(ECMCoverageOption)
 
+set(QT_REQUIRED_VERSION "5.9.0")
+
 set(MAILCOMMON_LIB_VERSION ${PIM_VERSION})
-set(AKONADIMIME_LIB_VERSION "5.7.3")
-set(MESSAGELIB_LIB_VERSION "5.7.3")
-set(QT_REQUIRED_VERSION "5.8.0")
-set(KMIME_LIB_VERSION "5.7.3")
-set(KMAILTRANSPORT_LIB_VERSION "5.7.3")
-set(MAILIMPORTER_LIB_VERSION "5.7.3")
-set(LIBKDEPIM_LIB_VERSION "5.7.3")
-set(PIMCOMMON_LIB_VERSION "5.7.3")
+set(AKONADIMIME_LIB_VERSION "5.9.3")
+set(MESSAGELIB_LIB_VERSION "5.9.3")
+set(KMIME_LIB_VERSION "5.9.3")
+set(KMAILTRANSPORT_LIB_VERSION "5.9.3")
+set(MAILIMPORTER_LIB_VERSION "5.9.3")
+set(LIBKDEPIM_LIB_VERSION "5.9.3")
+set(PIMCOMMON_LIB_VERSION "5.9.3")
 
-set(AKONADI_VERSION "5.7.3")
+set(AKONADI_VERSION "5.9.3")
 
 find_package(Qt5 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Widgets DBus Test Xml)

=== debian/changelog ===
libkf5mailcommon (4:18.08.3-2) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Update symbols from buildds for 4:18.08.3

 -- Sandro Knauß <hefee@debian.org>  Thu, 14 Feb 2019 21:08:08 +0100

libkf5mailcommon (4:18.08.3-1) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * New upstream release (18.08.3).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.3.0 (No changes needed).
  * Removed acc autopkgtest.
  * Removed testsuite autopkgtest.

 -- Sandro Knauß <hefee@debian.org>  Mon, 04 Feb 2019 16:03:06 +0100

libkf5mailcommon (4:18.08.1-1) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Bump Standards-Version to 4.2.1 (No changes needed).
  * Follow stable releases in KDE again.
  * New upstream release (18.08.1).
  * Update build-deps and deps with the info from cmake.

 -- Sandro Knauß <hefee@debian.org>  Tue, 02 Oct 2018 23:20:44 +0200

libkf5mailcommon (4:18.07.90-1) experimental; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Update watch file to match unstable releases, too.
  * New upstream release (18.07.90).
  * Bump Standards-Version to 4.2.0 (No changes needed).
  * Update build-deps and deps with the info from cmake.
  * Update symbols from build for 18.07.90.
  * Bump Debian-ABI for libkf5mailcommon5 because of ABI breakage to 2.
  * Update copyright file for new upstream.

 -- Sandro Knauß <hefee@debian.org>  Mon, 20 Aug 2018 15:20:17 +0200

libkf5mailcommon (4:17.12.3-1) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * New upstream release (17.12.3).
  * Update symbols from buildds for 4:17.12.2
  * Update build-deps and deps with the info from cmake.
  * use secure copyright format uri.
  * Use secure uri in d/watch.

 -- Sandro Knauß <hefee@debian.org>  Sat, 31 Mar 2018 18:27:50 +0200

libkf5mailcommon (4:17.12.2-1) experimental; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * New upstream release (17.12.2).
  * Update Vcs links to salsa.
  * Bump Standards-Version to 4.1.3 (No changes needed).
  * Update build-deps and deps with the info from cmake
  * Update copyright file.
  * remove patches, as they are not needed anymore.
  * Use DebianABIManager to handle libkf5mailcommon propperly.
  * Update library from libkf5mailcommon5 -> libkf5mailcommon5abi1,
    because of ABI breakage.
  * Add new package libkf5mailcommon-data, to split arch independent
    stuff like translation etc.
  * Enable build tests (make them non-failing).
  * Bump debhelper build-dep and compat to 11.

 -- Sandro Knauß <hefee@debian.org>  Fri, 09 Mar 2018 15:15:40 +0100

libkf5mailcommon (4:17.08.3-1) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * New upstream release (17.08.3).
  * Bump Standards-Version to 4.1.2 (No changes needed).
  * Get rid of unnessary break/replaces of kde-l10n-(ast|eo).
  * Remove Multi-Arch: same for libkf5mailcommon-dev.
  * Update symbols form buidds.
  * Update symbolsfile for 17.08.3.
  * Remove not needed Build-Deps.
  * Bump debhelper build-dep and compat to 10.
  * Set l10npkgs_firstversion_ok to 4:16.04.3-9~

 -- Sandro Knauß <hefee@debian.org>  Thu, 21 Dec 2017 18:00:16 +0100

libkf5mailcommon (4:17.08.0-1) experimental; urgency=medium

  * New upstream release (17.08.0)
  * Bump Standards-Version to 4.1.0.
  * Update upstream metadata
  * Update build-deps and deps with the info from cmake
  * Update symbols files
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Fri, 01 Sep 2017 22:21:17 +0200

libkf5mailcommon (4:17.08.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Aug 2017 09:43:08 +0000

libkf5mailcommon (4:17.04.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 12 Jul 2017 10:26:05 +0000

libkf5mailcommon (4:17.04.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Jun 2017 12:24:42 +0000

libkf5mailcommon (4:17.04.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 May 2017 18:27:36 +0000

libkf5mailcommon (4:17.04.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 20 Apr 2017 09:30:46 +0000

libkf5mailcommon (4:16.12.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Mar 2017 13:51:32 +0000

libkf5mailcommon (4:16.12.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Feb 2017 17:04:16 +0000

libkf5mailcommon (4:16.12.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Jan 2017 13:24:53 +0000

libkf5mailcommon (4:16.12.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 14 Dec 2016 16:33:03 +0000

libkf5mailcommon (4:16.08.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 21 Nov 2016 13:54:57 +0000

libkf5mailcommon (4:16.08.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 14 Oct 2016 13:41:33 +0000

libkf5mailcommon (4:16.08.1-1~1.gbp67955e) UNRELEASED; urgency=medium

  ** SNAPSHOT build @67955ef46a6b9d38c25ab58e9670b161ff1d9686 **

  [ Maximiliano Curia ]
  ** SNAPSHOT build @d85d3fb57f4cdd294ac72d1c8c8391ee1e418d67 **

  * UNRELEASED

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake
  * Refresh patches
  * Update build-deps and deps with the info from cmake

 -- Automatic packaging <maxy+jenkins@gnuservers.com.ar>  Thu, 08 Sep 2016 21:04:34 +0200

libkf5mailcommon (4:16.08.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 16 Sep 2016 13:08:27 +0000

libkf5mailcommon (4:16.08.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 17 Aug 2016 11:50:34 +0000

libkf5mailcommon (4:16.04.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 03 Aug 2016 12:51:47 +0000

=== debian/rules ===
#!/usr/bin/make -f

l10npkgs_firstversion_ok := 4:16.04.3-9~

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

override_dh_auto_test:
	- xvfb-run -a --server-args="-screen 0 1024x768x24 +extension GLX" --\
	           dbus-run-session -- dh_auto_test --no-parallel

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ https://download.kde.org/stable/applications/([\d.]+)/src/mailcommon-([\d.]+).tar.xz

## libkf5mailcommon 18.08.3.1+rb2

=== debian/changelog ===
libkf5mailcommon (4:18.08.3.1+rb2-1+eagle) unstable; urgency=medium

  * update

 -- Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Tue, 26 Jan 2021 17:27:26 +0800

## libkf5mailcommon 18.12.3

=== debian/changelog ===
libkf5mailcommon (4:18.12.3-0ubuntu2) disco; urgency=medium

  * No-change rebuild for fixed akonadi server.

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 07 Apr 2019 17:47:33 +0100

libkf5mailcommon (4:18.12.3-0ubuntu1) disco; urgency=medium

  * Update symbols
  * New upstream release (18.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 16 Mar 2019 15:07:02 +0000

libkf5mailcommon (4:18.04.3-0ubuntu3) disco; urgency=medium

  * Follow Debian dropping of autotests.

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 06 Feb 2019 19:15:12 +0000

=== debian/control ===
--- 
+++ 
@@ -8,26 +8,26 @@
                extra-cmake-modules (>= 5.31.0~),
                libgpgme-dev,
                libgpgmepp-dev (>= 1.7.1~),
-               libkf5akonadi-dev (>= 4:18.04.3~),
-               libkf5akonadimime-dev (>= 4:18.04.3~),
+               libkf5akonadi-dev (>= 4:18.12.3~),
+               libkf5akonadimime-dev (>= 4:18.12.3~),
                libkf5archive-dev (>= 5.31.0~),
                libkf5codecs-dev (>= 5.31.0~),
-               libkf5contacteditor-dev (>= 4:18.04.3~),
+               libkf5contacteditor-dev (>= 4:18.12.3~),
                libkf5i18n-dev (>= 5.31.0~),
                libkf5iconthemes-dev (>= 5.31.0~),
                libkf5itemviews-dev (>= 5.31.0~),
-               libkf5ldap-dev (>= 18.04.3~),
-               libkf5libkdepim-dev (>= 4:18.04.3~),
-               libkf5mailimporter-dev (>= 4:18.04.3~),
-               libkf5mailtransport-dev (>= 18.04.3~),
-               libkf5messagecomposer-dev (>= 4:18.04.3~),
-               libkf5messagecore-dev (>= 4:18.04.3~),
-               libkf5messageviewer-dev (>= 4:18.04.3~),
-               libkf5mime-dev (>= 18.04.3~),
-               libkf5mimetreeparser-dev (>= 4:18.04.3~),
-               libkf5pimcommon-dev (>= 4:18.04.3~),
+               libkf5ldap-dev (>= 18.12.3~),
+               libkf5libkdepim-dev (>= 4:18.12.3~),
+               libkf5mailimporter-dev (>= 4:18.12.3~),
+               libkf5mailtransport-dev (>= 18.12.3~),
+               libkf5messagecomposer-dev (>= 4:18.12.3~),
+               libkf5messagecore-dev (>= 4:18.12.3~),
+               libkf5messageviewer-dev (>= 4:18.12.3~),
+               libkf5mime-dev (>= 18.12.3~),
+               libkf5mimetreeparser-dev (>= 4:18.12.3~),
+               libkf5pimcommon-dev (>= 4:18.12.3~),
                libkf5syntaxhighlighting-dev (>= 5.31.0~),
-               libkf5templateparser-dev (>= 4:18.04.3~),
+               libkf5templateparser-dev (>= 4:18.12.3~),
                libkf5windowsystem-dev (>= 5.31.0~),
                libkf5xmlgui-dev (>= 5.31.0~),
                libphonon4qt5-dev,
@@ -69,16 +69,16 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf5akonadi-dev (>= 4:18.04.3~),
-         libkf5akonadimime-dev (>= 4:18.04.3~),
+Depends: libkf5akonadi-dev (>= 4:18.12.3~),
+         libkf5akonadimime-dev (>= 4:18.12.3~),
          libkf5config-dev (>= 5.31.0~),
-         libkf5libkdepim-dev (>= 4:18.04.3~),
+         libkf5libkdepim-dev (>= 4:18.12.3~),
          libkf5mailcommon5abi4 (= ${binary:Version}),
-         libkf5messagecomposer-dev (>= 4:18.04.3~),
-         libkf5messagecore-dev (>= 4:18.04.3~),
-         libkf5messageviewer-dev (>= 4:18.04.3~),
-         libkf5mimetreeparser-dev (>= 4:18.04.3~),
-         libkf5pimcommon-dev (>= 4:18.04.3~),
+         libkf5messagecomposer-dev (>= 4:18.12.3~),
+         libkf5messagecore-dev (>= 4:18.12.3~),
+         libkf5messageviewer-dev (>= 4:18.12.3~),
+         libkf5mimetreeparser-dev (>= 4:18.12.3~),
+         libkf5pimcommon-dev (>= 4:18.12.3~),
          qtbase5-dev (>= 5.6.1~),
          ${misc:Depends},
          ${shlibs:Depends},

## libkf5mailcommon 19.04.3

=== debian/changelog ===
libkf5mailcommon (4:19.04.3-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.3)
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 23 Jul 2019 18:56:40 +0100

=== debian/control ===
--- 
+++ 
@@ -8,26 +8,26 @@
                extra-cmake-modules (>= 5.31.0~),
                libgpgme-dev,
                libgpgmepp-dev (>= 1.7.1~),
-               libkf5akonadi-dev (>= 4:18.12.3~),
-               libkf5akonadimime-dev (>= 4:18.12.3~),
+               libkf5akonadi-dev (>= 4:19.04.3~),
+               libkf5akonadimime-dev (>= 4:19.04.3~),
                libkf5archive-dev (>= 5.31.0~),
                libkf5codecs-dev (>= 5.31.0~),
-               libkf5contacteditor-dev (>= 4:18.12.3~),
+               libkf5contacteditor-dev (>= 4:19.04.3~),
                libkf5i18n-dev (>= 5.31.0~),
                libkf5iconthemes-dev (>= 5.31.0~),
                libkf5itemviews-dev (>= 5.31.0~),
-               libkf5ldap-dev (>= 18.12.3~),
-               libkf5libkdepim-dev (>= 4:18.12.3~),
-               libkf5mailimporter-dev (>= 4:18.12.3~),
-               libkf5mailtransport-dev (>= 18.12.3~),
-               libkf5messagecomposer-dev (>= 4:18.12.3~),
-               libkf5messagecore-dev (>= 4:18.12.3~),
-               libkf5messageviewer-dev (>= 4:18.12.3~),
-               libkf5mime-dev (>= 18.12.3~),
-               libkf5mimetreeparser-dev (>= 4:18.12.3~),
-               libkf5pimcommon-dev (>= 4:18.12.3~),
+               libkf5ldap-dev (>= 19.04.3~),
+               libkf5libkdepim-dev (>= 4:19.04.3~),
+               libkf5mailimporter-dev (>= 4:19.04.3~),
+               libkf5mailtransport-dev (>= 19.04.3~),
+               libkf5messagecomposer-dev (>= 4:19.04.3~),
+               libkf5messagecore-dev (>= 4:19.04.3~),
+               libkf5messageviewer-dev (>= 4:19.04.3~),
+               libkf5mime-dev (>= 19.04.3~),
+               libkf5mimetreeparser-dev (>= 4:19.04.3~),
+               libkf5pimcommon-dev (>= 4:19.04.3~),
                libkf5syntaxhighlighting-dev (>= 5.31.0~),
-               libkf5templateparser-dev (>= 4:18.12.3~),
+               libkf5templateparser-dev (>= 4:19.04.3~),
                libkf5windowsystem-dev (>= 5.31.0~),
                libkf5xmlgui-dev (>= 5.31.0~),
                libphonon4qt5-dev,
@@ -69,16 +69,16 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf5akonadi-dev (>= 4:18.12.3~),
-         libkf5akonadimime-dev (>= 4:18.12.3~),
+Depends: libkf5akonadi-dev (>= 4:19.04.3~),
+         libkf5akonadimime-dev (>= 4:19.04.3~),
          libkf5config-dev (>= 5.31.0~),
-         libkf5libkdepim-dev (>= 4:18.12.3~),
+         libkf5libkdepim-dev (>= 4:19.04.3~),
          libkf5mailcommon5abi4 (= ${binary:Version}),
-         libkf5messagecomposer-dev (>= 4:18.12.3~),
-         libkf5messagecore-dev (>= 4:18.12.3~),
-         libkf5messageviewer-dev (>= 4:18.12.3~),
-         libkf5mimetreeparser-dev (>= 4:18.12.3~),
-         libkf5pimcommon-dev (>= 4:18.12.3~),
+         libkf5messagecomposer-dev (>= 4:19.04.3~),
+         libkf5messagecore-dev (>= 4:19.04.3~),
+         libkf5messageviewer-dev (>= 4:19.04.3~),
+         libkf5mimetreeparser-dev (>= 4:19.04.3~),
+         libkf5pimcommon-dev (>= 4:19.04.3~),
          qtbase5-dev (>= 5.6.1~),
          ${misc:Depends},
          ${shlibs:Depends},
